Subject: Re: xfig?
From: [email-masked] (Steven J. Zeil)

6 Nov 1997 14:44:03 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: TEXT/PLAIN; charset=US-ASCII
To: Eric Gauthier <[email-masked]>
Cc: [email-masked]

On Thu, 6 Nov 1997, Eric Gauthier wrote:

> Hi,
> I'd like to know if anybody has managed to compile xfig using gnu-win32.
> 
> Thanks
> 
> Gauthier Eric
> 
> -- 

Yes, version 3.1.4 compiled with very little trouble and works just fine.

Assuming you have obtained the Xlib port (accessible via links from the
gnuwin32 home page), you will need to get and install the jpeg library
as well.

The only changes I had to make to xfig were:

1) In the Imakefile, change 
   EXTRA_INCLUDES = ...
   to
   EXTRA_INCLUDES = -I$(JPEGINCDIR) -DUSE_DIRENT

2) f_readjpg.c needed to change all uses 
     METHODDEF typename
   to 
     METHODDEF( typename )
   because the definition of the macro METHODDEF has apparently changed in
   the jpeg-6a library.

3) In fig.h, I added 
     #define srandom(seed) srand(seed)
     #define random() rand()
   because (as far as I can see) the gnuwin32 libs provide rand, srand,
   but not random and srandom.

and that was all I had to do.  There are probably cleaner ways to handle
changes 1 and 3, but these seemed to represent the path of least effort.

By the way, I was pleasantly surprised to find that xfig does not require
a 3-button mouse after all.  The code accepts pressing the right button
while holding down the Alt key as a replacement for the middle button.

Steve Zeil

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".